CREATE TABLE `admin` (
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `full_name` varchar(50) default NULL,
  PRIMARY KEY  (`username`)
);

INSERT INTO `admin` (
`username` ,
`password` ,
`full_name` 
)
VALUES (
'admin', 'kdecole_entmp_1231524333917', 'Administrateur'
);



CREATE TABLE `eleves` (
  `id` int(11) NOT NULL auto_increment,
  `uid` varchar(50) NOT NULL,
  `classe` varchar(20) NOT NULL,
  `nom` varchar(20) NOT NULL,
  `prenom` varchar(20) NOT NULL,
  `uid_parent1` varchar(50),  
  `uid_parent2` varchar(50) ,
   PRIMARY KEY  (`id`)
);



CREATE TABLE `adultes` (
  `sexe` varchar(3) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `classes` varchar(500) NOT NULL,
  PRIMARY KEY  (`password`)
);



CREATE TABLE `ip` (
  `ip` varchar(30) NOT NULL default '',
  `heure` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`ip`)
);


CREATE TABLE `classes` (
  `id` int(11) NOT NULL auto_increment,
  `classe` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
);


CREATE TABLE `enreg_mp3` (
  `id` int(11) NOT NULL auto_increment,
  `uid_eleve` varchar(50) NOT NULL,
  `uid_adulte` varchar(50) NOT NULL,
  `nom_fichier` varchar(200) NOT NULL,
  `classe` varchar(20) NOT NULL,
  `comment` varchar(50) NOT NULL,
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);


CREATE TABLE `interventions` (
  `id` int(11) NOT NULL auto_increment,
  `uid_eleve` varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL,
  `username` varchar(50) NOT NULL,
  `adulte` varchar(50) NOT NULL,
  `uid_adulte` varchar(50) NOT NULL,
  `date` int(11) NOT NULL default '0',
  `comment` varchar(50) ,
  PRIMARY KEY  (`id`)
);



CREATE TABLE `enreg_mp3_exo` (
  `id` int(11) NOT NULL auto_increment,
  `emplacement` varchar(50) NOT NULL,
  `nom` varchar(200) NOT NULL,
  `uid_adulte` varchar(50) NOT NULL,
  `nom_prof` varchar(50) NOT NULL,
  `liste_classe` varchar(500) NOT NULL,
  `auth_enreg` varchar(50) NOT NULL,
  `auth_modif` varchar(50) NOT NULL,
  `liste_mp3` varchar(200) NOT NULL,
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
